## net.sf.saxon.option.local
Class Numberer_fr

    java.lang.Object
      net.sf.saxon.expr.number.AbstractNumberer
          net.sf.saxon.option.local.Numberer_fr

All Implemented Interfaces:
  Serializable, Numberer

    public class Numberer_fr

extends AbstractNumberer

Class Numberer_fr is a number formatter for french. This one will be activated for language="fr"

Version:
  1.0
Author:
  Luc Rochefort
See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.saxon.expr.number.AbstractNumberer
`cyrillicLower, cyrillicUpper, greekLower, greekUpper, hebrew, hiraganaA, hiraganaI, katakanaA, katakanaI, latinLower, latinUpper, LOWER_CASE, TITLE_CASE, UPPER_CASE, westernDigits`

Constructor Summary
`Numberer_fr()`

Method Summary
`String` `dayName(int day, int minWidth, int maxWidth)` Get a day name or abbreviation
`String` `monthName(int month, int minWidth, int maxWidth)` Get a month name or abbreviation
`protected String` `ordinalSuffix(String ordinalParam, long number)` Construct the ordinal suffix for a number, for example "st", "nd", "rd".
`String` `toOrdinalWords(String ordinalParam, long number, int wordCase)` Show an ordinal number as English words in a requested case (for example, Twentyfirst)
`String` `toWords(long number)` Show the number as words in title case.
`String` `toWords(long number, int wordCase)` Format a number as English words with specified case options

Methods inherited from class net.sf.saxon.expr.number.AbstractNumberer
`alphaDefault, format, format, getCalendarName, getCountry, getEraName, getOrdinalSuffixForDateTime, halfDayName, setCountry, toAlpha, toAlphaSequence, toJapanese, toRoman`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Numberer_fr

    public Numberer_fr()

Method Detail

### ordinalSuffix

    protected String ordinalSuffix(String ordinalParam,
                                   long number)

  Description copied from class: `AbstractNumberer`
  Construct the ordinal suffix for a number, for example "st", "nd", "rd". The default (language-neutral) implementation returns a zero-length string

  Overrides:
    `ordinalSuffix` in class `AbstractNumberer`
  Parameters:
    `ordinalParam` - the value of the ordinal attribute (used in non-English language implementations)
    `number` - the number being formatted
  Returns:
    the ordinal suffix to be appended to the formatted number

### toWords

    public String toWords(long number)

  Description copied from class: `AbstractNumberer`
  Show the number as words in title case. (We choose title case because the result can then be converted algorithmically to lower case or upper case).

  Specified by:
    `toWords` in class `AbstractNumberer`
  Parameters:
    `number` - the number to be formatted
  Returns:
    the number formatted as English words

### toWords

    public String toWords(long number,
                          int wordCase)

  Description copied from class: `AbstractNumberer`
  Format a number as English words with specified case options

  Overrides:
    `toWords` in class `AbstractNumberer`
  Parameters:
    `number` - the number to be formatted
    `wordCase` - the required case for example `AbstractNumberer.UPPER_CASE`, `AbstractNumberer.LOWER_CASE`, `AbstractNumberer.TITLE_CASE`
  Returns:
    the formatted number

### toOrdinalWords

    public String toOrdinalWords(String ordinalParam,
                                 long number,
                                 int wordCase)

  Description copied from class: `AbstractNumberer`
  Show an ordinal number as English words in a requested case (for example, Twentyfirst)

  Specified by:
    `toOrdinalWords` in class `AbstractNumberer`
  Parameters:
    `ordinalParam` - the value of the "ordinal" attribute as supplied by the user
    `number` - the number to be formatted
    `wordCase` - the required case for example `AbstractNumberer.UPPER_CASE`, `AbstractNumberer.LOWER_CASE`, `AbstractNumberer.TITLE_CASE`
  Returns:
    the formatted number

### monthName

    public String monthName(int month,
                            int minWidth,
                            int maxWidth)

  Description copied from class: `AbstractNumberer`
  Get a month name or abbreviation

  Specified by:
    `monthName` in interface `Numberer`
  Specified by:
    `monthName` in class `AbstractNumberer`
  Parameters:
    `month` - The month number (1=January, 12=December)
    `minWidth` - The minimum number of characters
    `maxWidth` - The maximum number of characters

### dayName

    public String dayName(int day,
                          int minWidth,
                          int maxWidth)

  Description copied from class: `AbstractNumberer`
  Get a day name or abbreviation

  Specified by:
    `dayName` in interface `Numberer`
  Specified by:
    `dayName` in class `AbstractNumberer`
  Parameters:
    `day` - The day of the week (1=Monday, 7=Sunday)
    `minWidth` - The minimum number of characters
    `maxWidth` - The maximum number of characters

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.